#include "api.h"
#include <stdio.h>

int main(void)
{
	// max image file 100K
#define MAXS 102400
	char buf[MAXS];
	int len;
	int task_id;
	const char *key = "be6899d476ef0a7eb242600e17618a64";

	len = bc_load_img(buf, MAXS, "D:\\TestAPP\\TestAPP\\Debug\\captcha.jpg");
	if(len < 0)
	{
		return -1;
	}

	if(bc_decode(key, buf, len, buf, MAXS, &task_id) < 0)
	{
		return -1;
	}

	printf("Decoded text is: %s and task id is: %d\n", buf, task_id);

	printf("Using it\n");

	printf("I think it is correct\n");

	bc_check(key, task_id, 1);

	return 0;
}
